%define name haddock
%define version 0.7
%define release 0.20050630.2

Summary: Haddock documentation tool for annotated Haskell source code
Name: %{name}
Version: %{version}
Release: %mkrel %{release}
License: BSD-like
Group: Development/Other
Source: http://www.haskell.org/haddock/haddock-%{version}-src.tar.bz2
URL: http://www.haskell.org/haddock/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ghc
BuildRequires: happy
BuildRequires: alex

%description
Haddock is a tool for automatically generating documentation from
annotated Haskell source code. It is primary intended for documenting
libraries, but it should be useful for any kind of Haskell code.

Haddock lets you write documentation annotations next to the
definitions of functions and types in the source code, in a syntax
that is easy on the eye when writing the source code (no heavyweight
mark-up). The documentation generated by Haddock is fully hyperlinked
-- click on a type name in a type signature to go straight to the
definition, and documentation, for that type.

Haddock can generate documentation in multiple formats; currently HTML
is implemented, and there is partial support for generating DocBook.
The generated HTML uses stylesheets, so you need a fairly up-to-date
browser to view it properly (Mozilla, Konqueror, Opera, and IE 6
should all be ok).

%prep
%setup -q -n %{name}-%{version}

%build
test -f configure || autoreconf
%configure
make
# (cd haddock/doc ; make dvi ps html ; gzip -f -9 *.dvi *.ps )

%install
rm -rf ${RPM_BUILD_ROOT}
# damn, it doesn't support destdir
make \
    bindir=%buildroot/%{_bindir} \
    datadir=%buildroot/%{_datadir}/%name-%version \
    libdir=%buildroot/%{_libdir}/%name-%version \
    libexecdir=%buildroot/%{_libdir}/%name-%version \
    install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc haddock/README
# %doc haddock/doc/haddock
# %doc haddock/doc/haddock.dvi.gz
# %doc haddock/doc/haddock.ps.gz
%{_datadir}/*
%{_libdir}/*
%{_bindir}/haddock
%{_bindir}/haddock-%{version}

%changelog
* Fri Jul  1 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7-0.20050630.2mdk
- add missing buildrequires

* Thu Jun 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7-0.20050630.1mdk
- update to cvs version to be able to build wxhaskell docs
- sadly, haddock doc doesn't build

* Tue May 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.6-2mdk
- Patch 1 from bsd fresh port: fix build with ghc 6.4
- fix path on x86_64
- use mkrel

* Wed Feb 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.6-1mdk
- Release for Mandrakelinux, based on haskell.org FC3 spec file
- BuildRequires ghc
- Patch 0 : fix compilation with ghc 6.2.2

* Sat Oct 11 2003 Sven Panne <sven_panne@yahoo.com>
- Include architecture-independent files in file list

* Tue Aug 26 2003 Sven Panne <sven_panne@yahoo.com>
- Use autoreconf instead of autoconf

* Mon Jul 28 2003 Sven Panne <sven_panne@yahoo.com>
- Updated to version 0.5
- Automagically generate configure if it is not there

* Tue Jul 23 2002 Simon Marlow <simonmar@microsoft.com>
- Updated to version 0.4

* Sun Jun 23 2002 Sven Panne <sven_panne@yahoo.com>
- Cleaned up build root handling and added more docs

* Wed May 01 2002 Tom Moertel <tom-rpms@moertel.com>
- Created spec file
